Subject: Re: [PATCH] rebase: make warning less passive aggressive

From: Jean-Noël AVILA <[email-masked]>
Date: Wed, 21 Feb 2024 23:05:56 +0100

On Wednesday, 21 February 2024 19:30:18 CET Michal Suchánek wrote:
> On Wed, Feb 21, 2024 at 10:02:04AM -0800, Junio C Hamano wrote:
> > Junio C Hamano <[email-masked]> writes:
> > 
> > > Michal Suchánek <[email-masked]> writes:
> > >
> > >> Or if it does touch the po files it could as well update the
> > >> translations.
> > >>
> > >> There are changes that can be trivially translated without any 
knowledge
> > >> of the target language.
> > >
> > > You need to know the target language before deciding it is OK and
> > > sufficient to just remove ̉¿? from around a sentence to make it from
> > > a question to a statement of a fact.  You may know enough, but
> > > reviewers may not be.  In addition, it would allow bypassing the
> > > language teams, which is the most serious problem I see in such an
> > > attitude.
> > 
> > Oops, "attitude" -> "approach".
> 
> That's certainly true that even if you know how to remove a question
> mark you may not find a reviewer who knows how to remove one.
> 
> Nonetheless, if you do find both a patch author and a reviewer that know
> how to remove a question mark what is the problem with not involving
> several language teams to remove a question mark?
> 
> Thanks
> 
> Michal
> 
> 

As a translator, I'm less bothered by editing a sentence to remove a question 
mark (maybe enforcing a language style and reformulating the sentence by the 
way), than by translating again and again similar sentences.

Thanks

JN